Loading...
Searching...
No Matches
OctreeSceneManager
Plugins

Octree datastructure for managing scene nodes. More...

## Classes

class | Ogre::Octree
| Octree datastructure for managing scene nodes. More...
class | Ogre::OctreeAxisAlignedBoxSceneQuery
| Octree implementation of AxisAlignedBoxSceneQuery. More...
class | Ogre::OctreeCamera
| Specialized viewpoint from which an Octree can be rendered. More...
class | Ogre::OctreeIntersectionSceneQuery
| Octree implementation of IntersectionSceneQuery. More...
class | Ogre::OctreeNode
| Specialized SceneNode that is customized for working within an Octree. More...
class | Ogre::OctreePlaneBoundedVolumeListSceneQuery
| Octree implementation of PlaneBoundedVolumeListSceneQuery. More...
class | Ogre::OctreeRaySceneQuery
| Octree implementation of RaySceneQuery. More...
class | Ogre::OctreeSceneManager
| Specialized SceneManager that divides the geometry into an octree in order to facilitate spatial queries. More...
class | Ogre::OctreeSceneManagerFactory
| Factory for OctreeSceneManager. More...
class | Ogre::OctreeSphereSceneQuery
| Octree implementation of SphereSceneQuery. More...

## Typedefs

typedef std::list< unsigned long > | Ogre::ColorList

## Detailed Description

Octree datastructure for managing scene nodes.

Octree datastructure for managing scene nodes.

Octree datastructure for managing scene nodes.

Octree datastructure for managing scene nodes.

Octree datastructure for managing scene nodes.

## Typedef Documentation

## ColorList

typedef std::list< unsigned long > Ogre::ColorList